#include<bits/stdc++.h>
using namespace std;
int main(){
string n;
cin>>n;
string u[n.length()];
char r;
int a = n.length();
cin>>r;
if(r=='c'){
for(int i = 0;i<a;i++){
    if(n[i]=='a'){
    u[i]='afa';
    }
    else if(n[i]=='e'){
    u[i]='efe';
    }
    else if(n[i]=='o'){
    u[i]='ofo';
    }
    else if(n[i]=='i'){
    u[i]='ifi';
    }
     else if(n[i]=='u'){
    u[i]='ufu';
    }
     else if(n[i]=='y'){
    u[i]='yfy';
    }
    else if(n[i]=='E'){
    u[i]='afa';
    }
    else if(n[i]=='O'){
    u[i]='afa';
    }
     else if(n[i]=='U'){
    u[i]='afa';
    }
     else if(n[i]=='Y'){
    u[i]='afa';
    }
     else if(n[i]=='A'){
    u[i]='afa';
    }
    else if(n[i]=='I'){
    u[i]='afa';
    }
    else{
        u[i]=n[i];
    }
    cout<<u[i];
    }
    }
return 0;
}
